Table< key_type, mapped_type > Class Template Reference

`#include <rcpp_table.h>`

Collaboration diagram for Table< key_type, mapped_type >:
[legend]

## Public Types

typedef set< key_type, greater< key_type > > | Axis

## Public Member Functions

| Table ()
void | insert (const key_type &key, const mapped_type &outcome)
virtual mapped_type | operator() (key_type key)
| Table (const DataFrame &df, string s0, string s1)

## Private Attributes

Axis | axis
map< key_type, mapped_type > | data

## Detailed Description

### template<class key_type, class mapped_type>
class Table< key_type, mapped_type >

Definition at line 303 of file rcpp_table.h.

## Member Typedef Documentation

## Axis

template<class key_type , class mapped_type >

typedef set<key_type, greater<key_type> > Table< key_type, mapped_type >::Axis

Definition at line 305 of file rcpp_table.h.

## Constructor & Destructor Documentation

## Table() [1/2]

template<class key_type , class mapped_type >

Table< key_type, mapped_type >::Table | ( |  | ) |

inline

Definition at line 306 of file rcpp_table.h.

## Table() [2/2]

template<class key_type , class mapped_type >

Table< key_type, mapped_type >::Table | ( | const DataFrame & | df,
|  | string | s0,
|  | string | s1
| ) |  |

inline

Definition at line 314 of file rcpp_table.h.

## Member Function Documentation

## insert()

template<class key_type , class mapped_type >

void Table< key_type, mapped_type >::insert | ( | const key_type & | key,
|  | const mapped_type & | outcome
| ) |  |

inline

Definition at line 307 of file rcpp_table.h.

## operator()()

template<class key_type , class mapped_type >

virtual mapped_type Table< key_type, mapped_type >::operator() | ( | key_type | key | ) |

inline virtual

Definition at line 311 of file rcpp_table.h.

## Member Data Documentation

## axis

template<class key_type , class mapped_type >

Axis Table< key_type, mapped_type >::axis

private

Definition at line 322 of file rcpp_table.h.

## data

template<class key_type , class mapped_type >

map<key_type,mapped_type> Table< key_type, mapped_type >::data

private

Definition at line 323 of file rcpp_table.h.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/inst/include/rcpp_table.h